Robotsystem of the Robot Group Leipzig: BallJoint Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# BallJoint Class Reference

`#include <joint.h>`

Inherits Joint.

Inheritance diagram for BallJoint:

[legend]
Collaboration diagram for BallJoint:

[legend]
List of all members.

## Public Member Functions
| BallJoint (Primitive *part1, Primitive *part2, const osg::Vec3 &anchor)
virtual | ~BallJoint ()
virtual void | init (const OdeHandle &odeHandle, const OsgHandle &osgHandle, bool withVisual=true, double visualSize=0.2)
| initialises (and creates) the joint.
virtual void | update ()
| should syncronise the Ode stuff and the OSG notes (if any)
virtual int | getNumberAxes () const
| returns the number of Axes
virtual void | setParam (int parameter, double value)
| sets the ODE joint parameter (see ODE manual)
virtual double | getParam (int parameter) const
| return the ODE joint parameter (see ODE manual)
## Protected Attributes
OSGPrimitive * | visual

## Constructor & Destructor Documentation

BallJoint | ( | Primitive * | part1,
|  | Primitive * | part2,
|  | const osg::Vec3 & | anchor |
| ) |  |  |

~BallJoint | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual int getNumberAxes | ( |  | ) | const`[inline, virtual]`

returns the number of Axes

Implements Joint.

double getParam | ( | int | parameter | ) | const`[virtual]`

return the ODE joint parameter (see ODE manual)

Implements Joint.

void init | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | bool | withVisual = `true`,
|  | double | visualSize = `0.2` |
| ) |  |  | `[virtual]`

initialises (and creates) the joint.

If visual is true then ball is drawn as a sphere with radius of visualSize.

Reimplemented from Joint.

void setParam | ( | int | parameter,
|  | double | value |
| ) |  |  | `[virtual]`

sets the ODE joint parameter (see ODE manual)

Implements Joint.

void update | ( |  | ) | `[virtual]`

should syncronise the Ode stuff and the OSG notes (if any)

Implements Joint.

## Member Data Documentation

OSGPrimitive* visual`[protected]`

The documentation for this class was generated from the following files:

- joint.h
- joint.cpp